Drm Library Init and Shutdown Functions

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Drm Library Init and Shutdown Functions

Functions that start and shutdown the Ecore_Drm Library. More...

## Functions
int | ecore_drm_init (void)
| Initialize the Ecore_Drm library.
int | ecore_drm_shutdown (void)
| Shutdown the Ecore_Drm library.
EAPI int | ecore_drm2_event_handle (Ecore_Drm2_Device *dev, Ecore_Drm2_Context *drmctx)
| Read and process pending Drm events.

## Detailed Description

Functions that start and shutdown the Ecore_Drm Library.

## Function Documentation

## ◆ ecore_drm_init()

int ecore_drm_init | ( | void |  | ) |

Initialize the Ecore_Drm library.

Returns
  The number of times the library has been initialized without being shut down. 0 is returned if an error occurs.

References ECORE_DRM_EVENT_OUTPUT, ECORE_DRM_EVENT_SEAT_ADD, ecore_event_init(), ecore_event_shutdown(), ecore_event_type_new(), ecore_init(), ecore_shutdown(), eeze_init(), eina_init(), eina_log_domain_register(), eina_log_domain_unregister(), EINA_LOG_ERR, and eina_shutdown().

## ◆ ecore_drm_shutdown()

int ecore_drm_shutdown | ( | void |  | ) |

Shutdown the Ecore_Drm library.

Returns
  The number of times the library has been initialized without being shutdown. 0 is returned if an error occurs.

References ecore_drm_device_free(), ecore_drm_devices_get(), ECORE_DRM_EVENT_OUTPUT, ECORE_DRM_EVENT_SEAT_ADD, ecore_event_shutdown(), ecore_event_type_flush, ecore_shutdown(), eeze_shutdown(), eina_list_clone(), EINA_LIST_FREE, eina_log_domain_unregister(), and eina_shutdown().

## ◆ ecore_drm2_event_handle()

EAPI int ecore_drm2_event_handle | ( | Ecore_Drm2_Device * | dev,
|  | Ecore_Drm2_Context * | drmctx
| ) |  |

Read and process pending Drm events.

Parameters

  dev | drm device
  drmctx |

Returns
  0 on success, -1 otherwise

Note
  : Do not ever use this function in applications !!! This is a special-purpose API function and should not be used by application developers.

Since
  1.19

References EINA_SAFETY_ON_NULL_RETURN_VAL.